Subject: Re: Problem using gdb with Microsoft .exe
From: [email-masked] (Anders Norlander)

30 Sep 1998 23:09:25 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
To: Geoffrey Noer <[email-masked]>
Cc: David Calabrese <[email-masked]>, [email-masked]

Geoffrey Noer wrote:
> 
> On Tue, Sep 29, 1998 at 01:45:58PM -0000, David Calabrese wrote:
> >
> > I'm trying to debug a program that was built using the Microsoft C++
> > compiler.  I built the exe to include debug info.
> >
> > Is it possible to use gdb to debug this program?
> 
> No it isn't, the debugging info that gcc emits is different from what
> VC++ does.  As a result, gdb does the best it can, which isn't a lot.
> 
> I know this isn't desirable; I'd certainly like complete VC++/gcc
> compatibility but there are quite a few reasons why this isn't there
> yet and isn't likely to happen soon.  One of the reasons is that,
> as far as I know, documentation about the MS debugging format used by
> VC++ isn't available.  :-(

Check out MSDN under:
Specifications->Technologies and Languages->VC5 Symbolic Debug
Information

Beware that access is slooow (java applet). It would be better if the
doc
could be downloaded separately. You may need a windows browser to access
the document.

Anders Norlander
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".